## akonadi 1.0.0

=== server/control/CMakeLists.txt ===
include_directories( BEFORE
  ${CMAKE_BINARY_DIR}/akonadi
  ${QT_QTDBUS_INCLUDE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

#find_library( AKONADI_PROTOCOLINTERNALS_LIBRARY NAMES akonadiprotocolinternals
#  PATHS
#  ${CMAKE_LIBRARY_PATH}
#  ${CMAKE_INSTALL_PREFIX}/lib
#)
set( AKONADI_PROTOCOLINTERNALS_LIBS ${akonadiprotocolinternals_LIB_DEPENDS} akonadiprotocolinternals)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}" )

########### next target ###############

set( control_SRCS
  agentinfo.cpp
  agentmanager.cpp
  controlmanager.cpp
  kcrash.cpp
  main.cpp
  processcontrol.cpp
)

automoc4(akonadi_control control_SRCS)

qt4_add_dbus_adaptor( control_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces/org.freedesktop.Akonadi.AgentManager.xml agentmanager.h AgentManager )
qt4_add_dbus_adaptor( control_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../interfaces/org.freedesktop.Akonadi.ControlManager.xml controlmanager.h ControlManager )
qt4_add_dbus_interfaces( control_SRCS
  ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces/org.freedesktop.Akonadi.Tracer.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces/org.freedesktop.Akonadi.Agent.Control.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces/org.freedesktop.Akonadi.Agent.Status.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces/org.freedesktop.Akonadi.Resource.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/../interfaces/org.freedesktop.Akonadi.Server.xml
)


add_executable(akonadi_control ${control_SRCS})
set_target_properties(akonadi_control PROPERTIES OUTPUT_NAME akonadi_control)

target_link_libraries(akonadi_control ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${AKONADI_PROTOCOLINTERNALS_LIBS})

install(TARGETS akonadi_control DESTINATION ${BIN_INSTALL_DIR})

configure_file(org.freedesktop.Akonadi.Control.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.Control.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.Control.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services)

=== server/queryserver/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}/akonadi
  ${QT_QTDBUS_INCLUDE_DIR}
  ${SOPRANO_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}" )

########### next target ###############

set( queryserver_SRCS
  main.cpp
  query.cpp
  queryiterator.cpp
  search.cpp
)

qt4_add_dbus_adaptor( queryserver_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../interfaces/org.freedesktop.Akonadi.Search.xml search.h Search )
qt4_add_dbus_adaptor( queryserver_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../interfaces/org.freedesktop.Akonadi.SearchQuery.xml query.h Query )
qt4_add_dbus_adaptor( queryserver_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../interfaces/org.freedesktop.Akonadi.SearchQueryIterator.xml queryiterator.h QueryIterator )

add_executable( akonadi_queryserver ${queryserver_SRCS} )
set_target_properties( akonadi_queryserver PROPERTIES OUTPUT_NAME akonadi_queryserver )

target_link_libraries( akonadi_queryserver ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${NEPOMUK_LIBRARY} )

install( TARGETS akonadi_queryserver DESTINATION ${BIN_INSTALL_DIR} )

configure_file( org.freedesktop.Akonadi.Search.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.Search.service )
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.Search.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services )

########### next target ###############

qt4_add_dbus_interface( queryservertestdbus_SRCS ../interfaces/org.freedesktop.Akonadi.Search.xml searchinterface )
qt4_add_dbus_interface( queryservertestdbus_SRCS ../interfaces/org.freedesktop.Akonadi.SearchQuery.xml searchqueryinterface )
qt4_add_dbus_interface( queryservertestdbus_SRCS ../interfaces/org.freedesktop.Akonadi.SearchQueryIterator.xml searchqueryiteratorinterface )

set( queryservertest_SRCS
  queryservertest.cpp
  ${queryservertestdbus_SRCS}
)

add_executable( akonadi_queryservertest ${queryservertest_SRCS} )
set_target_properties( akonadi_queryservertest PROPERTIES OUTPUT_NAME akonadi_queryservertest )

target_link_libraries( akonadi_queryservertest ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${NEPOMUK_LIBRARY} ${SOPRANO_LIBRARY} )

## akonadi 1.3.1

=== CMakeLists.txt ===
project(Akonadi)

cmake_minimum_required(VERSION 2.6.2 FATAL_ERROR)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH "${Akonadi_SOURCE_DIR}/cmake/modules")


############### Build Options ###############

include(CTest)
include(CTestConfig.cmake)
option(AKONADI_BUILD_TESTS "Build the Akonadi unit tests." TRUE)
if (AKONADI_BUILD_TESTS)
  enable_testing()
endif (AKONADI_BUILD_TESTS)

if(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.6.2)
  option(USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR "Prefer to install the <package>Config.cmake files to lib/cmake/<package> instead of lib/<package>/cmake" TRUE)
endif(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION} VERSION_GREATER 2.6.2)


############### CMake Macros ###############

include(MacroLogFeature)
include(InstallSettings)
include(CheckFunctionExists)
include(CheckIncludeFiles)
include(MacroWriteBasicCMakeVersionFile)

############### The Akonadi version (used in AkonadiConfig.cmake) ###############

set(AKONADI_VERSION_MAJOR "1")
set(AKONADI_VERSION_MINOR "3")
set(AKONADI_VERSION_PATCH "1")
set(AKONADI_VERSION "${AKONADI_VERSION_MAJOR}.${AKONADI_VERSION_MINOR}.${AKONADI_VERSION_PATCH}")

# If Subversion is installed, and a '.svn' directory is found,
# we append the SVN revision to AKONADI_VERSION_STRING.
set(AKONADI_VERSION_STRING "${AKONADI_VERSION}")
if (EXISTS "${Akonadi_SOURCE_DIR}/.svn")
  if (NOT Subversion_FOUND)
    find_package( Subversion)
  endif (NOT Subversion_FOUND)
  if (Subversion_FOUND)
    Subversion_WC_INFO( ${PROJECT_SOURCE_DIR} Akonadi)
    set(AKONADI_VERSION_STRING "${AKONADI_VERSION_STRING} (revision ${Akonadi_WC_LAST_CHANGED_REV})")
  endif (Subversion_FOUND)
endif (EXISTS "${Akonadi_SOURCE_DIR}/.svn")


############### Find what we need ###############

#### Qt4 ####
set(QT_MIN_VERSION 4.5.0)
find_package(Qt4 REQUIRED)

# We need QtDBus and QtSql
set(QT_USE_QTDBUS TRUE)
set(QT_USE_QTSQL TRUE)
if (NOT QT_QTDBUS_FOUND)
   message(FATAL_ERROR  "Akonadi requires Qt4 with QtDBus module in order to built.")
endif(NOT QT_QTDBUS_FOUND)
if (NOT QT_QTSQL_FOUND)
   message(FATAL_ERROR  "Akonadi requires Qt4 with QtSql module in order to built.")
endif(NOT QT_QTSQL_FOUND)
# properly set up compile flags (QT_DEBUG/QT_NO_DEBUG, ...)
include(${QT_USE_FILE})

#### Soprano ####

# There are different cases :
# 1/ We're running CMake in kdesupport. The Soprano dir exists and its compilation is enabled.
# 2/ We're running CMake in kdesupport but Soprano won't be built. we look for installed headers.
# 3/ We're just building akonadi. We look for the Soprano headers.

if("${KDESupport_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}") # We ran CMake in kdesupport
  if(EXISTS ${KDESupport_SOURCE_DIR}/soprano AND BUILD_soprano) # and we plan to build Soprano
    message(STATUS "Soprano is needed to build Akonadi. We will use Soprano from kdesupport.")
    set (SOPRANO_INCLUDE_DIR ${KDESupport_SOURCE_DIR}/soprano ${KDESupport_SOURCE_DIR}/soprano/soprano ${KDESupport_BINARY_DIR}/soprano)
    set (SOPRANO_LIBRARIES soprano)
    set (Soprano_FOUND TRUE)
  endif(EXISTS ${KDESupport_SOURCE_DIR}/soprano AND BUILD_soprano)
endif("${KDESupport_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")

if(NOT Soprano_FOUND)
  find_package(Soprano)
endif(NOT Soprano_FOUND)

macro_log_feature(Soprano_FOUND "Soprano" "Semantic Desktop Storing" "http://soprano.sourceforge.net" TRUE "" "Soprano is required to build Akonadi")

#### Automoc ####
find_package(Automoc4 REQUIRED)

#### SMI ####
set(SHARED_MIME_INFO_MINIMUM_VERSION "0.20")
find_package(SharedMimeInfo REQUIRED)

#### XSLTProc ####
find_program(XSLTPROC_EXECUTABLE xsltproc)
if(NOT XSLTPROC_EXECUTABLE)
  message(FATAL_ERROR "\nThe command line XSLT processor program 'xsltproc'  could not be found.\nPlease install xsltproc.\n")
endif(NOT XSLTPROC_EXECUTABLE)

#### Boost ####
if(MSVC)
  # otherwise we get an undefined reference to
  # boost::program_options::options_description::m_default_line_length
  set(Boost_USE_STATIC_LIBS ON)
  set (_ENABLE_EXCEPTIONS -EHsc)
endif(MSVC)

find_package(Boost COMPONENTS program_options)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" TRUE "" "Akonadi requires the Boost C++ libraries.")

# should be handled by FindBoost.cmake -> cmake bug #8335
if(NOT Boost_USE_STATIC_LIBS)
  add_definitions(-DBOOST_DYN_LINK)
endif(NOT Boost_USE_STATIC_LIBS)

############### Compilers flags ###############

option(CMAKE_COMPILE_GCOV "Build with coverage support." FALSE)
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc")
  set (_ENABLE_EXCEPTIONS -fexceptions)
  set (CMAKE_C_FLAGS     "${CMAKE_C_FLAGS} -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common")
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-check-new -fno-common")
  if(CMAKE_COMPILE_GCOV)
    set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
  endif(CMAKE_COMPILE_GCOV)
endif (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc")


############### Configure checks ###############

set (AKONADI_SYSTEM_LIBS)

check_include_files(execinfo.h HAVE_EXECINFO_H)
if (HAVE_EXECINFO_H)
  check_function_exists(backtrace BACKTRACE_IN_LIBC)
  if (NOT BACKTRACE_IN_LIBC)
    find_library (EXECINFO_LIBRARY NAMES execinfo)
    if (EXECINFO_LIBRARY)
      set (AKONADI_SYSTEM_LIBS ${AKONADI_SYSTEM_LIBS} ${EXECINFO_LIBRARY})
    endif (EXECINFO_LIBRARY)
  endif (NOT BACKTRACE_IN_LIBC)
endif (HAVE_EXECINFO_H)

check_include_files(unistd.h HAVE_UNISTD_H)

# set the output paths
set (EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
if (WIN32)
  set(LIBRARY_OUTPUT_PATH   ${EXECUTABLE_OUTPUT_PATH})
else (WIN32)
  set(LIBRARY_OUTPUT_PATH   ${CMAKE_BINARY_DIR}/lib)
endif (WIN32)

# Set up RPATH handling, so the libs are found if they are installed to a non-standard location.
# By default cmake builds the targets with full RPATH to everything in the build directory,
# but then removes the RPATH when installing.
# These two options below make it set the RPATH of the installed targets to all
# RPATH directories outside the current CMAKE_BINARY_DIR and also the library
# install directory. Alex
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
set(CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")

if(APPLE)
   set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})
endif(APPLE)


############### Macros ###############

macro(MAKE_INSTALL_PATH_ABSOLUTE out in)
   if (IS_ABSOLUTE "${in}")
      set(${out} "${in}")
   else (IS_ABSOLUTE "${in}")
      set(${out} "\${AKONADI_INSTALL_DIR}/${in}")
   endif (IS_ABSOLUTE "${in}")
endmacro(MAKE_INSTALL_PATH_ABSOLUTE out in)


############### Prepare AkonadiConfig.cmake ###############

# all the following variables are put into AkonadiConfig.cmake, so
# they are usable by projects using Akonadi.
make_install_path_absolute(AKONADI_BIN_DIR             ${BIN_INSTALL_DIR})
make_install_path_absolute(AKONADI_INCLUDE_DIR         ${INCLUDE_INSTALL_DIR})
make_install_path_absolute(AKONADI_LIB_DIR             ${LIB_INSTALL_DIR})
make_install_path_absolute(AKONADI_CONFIG_DIR          ${CONFIG_INSTALL_DIR})
make_install_path_absolute(AKONADI_DBUS_INTERFACES_DIR ${DBUS_INTERFACES_INSTALL_DIR})
make_install_path_absolute(AKONADI_DBUS_SERVICES_DIR   ${DBUS_SERVICES_INSTALL_DIR})
make_install_path_absolute(AKONADI_XDG_MIME_DIR        ${XDG_MIME_INSTALL_DIR})

# Used in configure_file() and install(EXPORT)
#set(AKONADI_TARGET_PREFIX Akonadi__)


############### Generate files ###############

configure_file(akonadi-prefix.h.cmake ${Akonadi_BINARY_DIR}/akonadi-prefix.h)
configure_file(config-akonadi.h.cmake ${Akonadi_BINARY_DIR}/config-akonadi.h)
configure_file(AkonadiConfig.cmake.in "${Akonadi_BINARY_DIR}/AkonadiConfig.cmake" @ONLY)

if (NOT WIN32)
  configure_file(${Akonadi_SOURCE_DIR}/akonadi.pc.cmake ${Akonadi_BINARY_DIR}/akonadi.pc @ONLY)
endif (NOT WIN32)

# this file is used by to check if the installed version can be used.
macro_write_basic_cmake_version_file(${Akonadi_BINARY_DIR}/AkonadiConfigVersion.cmake
                                     ${AKONADI_VERSION_MAJOR} ${AKONADI_VERSION_MINOR} ${AKONADI_VERSION_PATCH})

############### build targets ###############

include_directories(${Akonadi_SOURCE_DIR} ${Akonadi_BINARY_DIR} ${QT_INCLUDES} ${Boost_INCLUDE_DIR})

add_subdirectory(interfaces)
add_subdirectory(libs)

if (XSLTPROC_EXECUTABLE)
   add_subdirectory(server)
endif (XSLTPROC_EXECUTABLE)


############### install stuff ###############

if(USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
   set(_AkonadiConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/Akonadi)
else(USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)
   set(_AkonadiConfig_INSTALL_DIR ${LIB_INSTALL_DIR}/Akonadi/cmake)
endif(USE_COMMON_CMAKE_PACKAGE_CONFIG_DIR)

install(FILES ${Akonadi_BINARY_DIR}/AkonadiConfigVersion.cmake
              ${Akonadi_BINARY_DIR}/AkonadiConfig.cmake
        DESTINATION ${_AkonadiConfig_INSTALL_DIR} )

install(FILES akonadi-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

if(NOT WIN32)
  install(FILES ${Akonadi_BINARY_DIR}/akonadi.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif(NOT WIN32)

macro_display_feature_log()

=== interfaces/CMakeLists.txt ===
SET(DBUS_INTERFACE_XMLS
  org.freedesktop.Akonadi.AgentManager.xml
  org.freedesktop.Akonadi.NotificationManager.xml
  org.freedesktop.Akonadi.Preprocessor.xml
  org.freedesktop.Akonadi.Tracer.xml
  org.freedesktop.Akonadi.Agent.Control.xml
  org.freedesktop.Akonadi.Agent.Status.xml
  org.freedesktop.Akonadi.Resource.xml
  )

install( FILES ${DBUS_INTERFACE_XMLS}
DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

=== server/control/CMakeLists.txt ===
include_directories( BEFORE
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${Boost_INCLUDE_DIR}
)

#find_library( AKONADI_PROTOCOLINTERNALS_LIBRARY NAMES akonadiprotocolinternals
#  PATHS
#  ${CMAKE_LIBRARY_PATH}
#  ${CMAKE_INSTALL_PREFIX}/lib
#)
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}" )

########### next target ###############

set( control_SRCS
  ${AKONADI_SHARED_SOURCES}
  agenttype.cpp
  agentinstance.cpp
  agentmanager.cpp
  controlmanager.cpp
  main.cpp
  processcontrol.cpp
)

qt4_add_dbus_adaptor( control_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.AgentManager.xml agentmanager.h AgentManager )
qt4_add_dbus_adaptor( control_SRCS ${Akonadi_SOURCE_DIR}/server/interfaces/org.freedesktop.Akonadi.ControlManager.xml controlmanager.h ControlManager )
qt4_add_dbus_adaptor( control_SRCS ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.AgentManagerInternal.xml agentmanager.h AgentManager )
qt4_add_dbus_interfaces( control_SRCS
  ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Tracer.xml
  ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Agent.Control.xml
  ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Agent.Status.xml
  ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Agent.Search.xml
  ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Resource.xml
  ${Akonadi_SOURCE_DIR}/interfaces/org.freedesktop.Akonadi.Preprocessor.xml
  ${Akonadi_SOURCE_DIR}/server/interfaces/org.freedesktop.Akonadi.Server.xml
)
qt4_add_dbus_interface( control_SRCS ${Akonadi_SOURCE_DIR}/server/interfaces/org.freedesktop.Akonadi.ResourceManager.xml resource_manager)
qt4_add_dbus_interface( control_SRCS ${Akonadi_SOURCE_DIR}/server/interfaces/org.freedesktop.Akonadi.PreprocessorManager.xml preprocessor_manager )

automoc4_add_executable(akonadi_control ${control_SRCS})
set_target_properties(akonadi_control PROPERTIES OUTPUT_NAME akonadi_control)
if (WIN32)
  set_target_properties(akonadi_control PROPERTIES WIN32_EXECUTABLE TRUE)
  target_link_libraries(akonadi_control ${QT_QTMAIN_LIBRARY})
endif (WIN32)

target_link_libraries(akonadi_control ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${AKONADI_PROTOCOLINTERNALS_LIBS} ${AKONADI_SYSTEM_LIBS} ${Boost_PROGRAM_OPTIONS_LIBRARY})

install(TARGETS akonadi_control DESTINATION ${BIN_INSTALL_DIR})

configure_file(org.freedesktop.Akonadi.Control.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.Control.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.Control.service DESTINATION ${CMAKE_INSTALL_PREFIX}/share/dbus-1/services)

=== server/tests/unittest/CMakeLists.txt ===
########### next target ###############
# QTEST_MAIN is using QApplication when QT_GUI_LIB is defined
remove_definitions(-DQT_GUI_LIB)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/../../src)

macro(add_server_test _source _libs)
  set(_test ${_source})
  get_filename_component(_name ${_source} NAME_WE)
  automoc4_add_executable(${_name} ${_source})
  add_test(akonadi-${_name} ${_name})
  target_link_libraries(${_name} ${_libs} ${QT_QTCORE_LIBRARY} ${QT_QTTEST_LIBRARY} ${QT_QTSQL_LIBRARY})
endmacro(add_server_test)

add_server_test(imapstreamparsertest.cpp akonadiprivate)
add_server_test(scopetest.cpp akonadiprivate)
add_server_test(handlerhelpertest.cpp akonadiprivate)
add_server_test(querybuildertest.cpp akonadiprivate)
#interpreter.cpp is not currently included in the build...
#add_server_test(interpretertest.cpp)

## akonadi 1.4.0

=== debian/changelog ===
akonadi (1.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 01 Aug 2010 12:29:08 +0200

akonadi (1.3.90-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump debhelper to 7.3.16 or greater
    - Drop quilt from build-depends no longer need with source
      format 3.0 (quilt)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 06 Jul 2010 02:34:57 +0200

akonadi (1.3.85-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Update akonadi-server.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 05 Jun 2010 17:13:53 +0200

akonadi (1.3.80-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump libqt4-dev and libsoprano-dev
    - Drop kubuntu_01_fix_init.diff no longer need
    - Update 03_disable_usr_lib_install_rpath.diff
    - Update akonadi-server.install
  * Switch to dpkg-source 3.0 (quilt) format
 
 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 26 May 2010 19:44:52 +0200

akonadi (1.3.1-3ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Build-depend on mysql-server-core-5.1
    - Use versioned boost build-depends
    - Copy mysqld to mysqld-akonadi (rules)
    - Make akonadi-server depend on mysql-server-core-5.1 rather than mysql-server
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    - Add pre and postinst scripts for akonadi-server
    - Keep kubuntu_01_fix_init.diff
    - Don't apply 02_hardcode_debian_mysqld_path.diff, we set it in our
      debian/rules file
  * Update KUBUNTU-DEBIAN-DIFFERENCES

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 17 May 2010 23:40:04 -0400

akonadi (1.3.1-0ubuntu3) lucid; urgency=low

  * Set VCS fields to Bazaar branches
  * Sync kubuntu_01_fix_init.diff with upstream SVN as per KDE bug 185395.
    + akonadi-server depends on mysql-server-core-5.1 (>= 5.1.41-3ubuntu11)
    + akonadi-server depends on mysql-client-core-5.1 (>= 5.1.41-3ubuntu12)
  * Expand apparmor profile to silence apparmor complaints in syslog,
    additonally this seems to fix LP: #554514

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 12 Apr 2010 17:13:38 +0200

akonadi (1.3.1-3) unstable; urgency=low

  [ Didier Raboud ]
  * Make akonadi-mysql depend on mysql-server-core instead of mysql-server,
    thanks to the split made in mysql-5.1. (Closes: #513382)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 11 Apr 2010 01:46:38 +0300

akonadi (1.3.1-0ubuntu2) lucid; urgency=low

  * Add kubuntu_01_fix_init.diff in a mere attemt to fix akonadi startup. This
    depends on a fixed verison of mysql (5.1.41-3ubuntu10) (LP: #448705)
    + Unlike upstream this uses the --force cmdl argument to also work without
      resolveip, an executable that is currently shipped in the main server
      package.

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 31 Mar 2010 22:08:13 +0200

akonadi (1.3.1-2) unstable; urgency=low

  [ Modestas Vainius ]
  * Bump libakonadiprivate1 shlibs with each new upstream release.
  * Generate strict local shlibs for libakonadiprivate1: use
    library-packages.mk from pkg-kde-tools 0.6.4.
  * Add ${misc:Depends} to akonadi-dbg Depends.
  * Add 03_disable_usr_lib_install_rpath.diff patch in order to get rid of
    /usr/lib RPATH.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 06 Mar 2010 01:51:56 +0200

akonadi (1.3.1-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Feb 2010 21:11:37 +0000

akonadi (1.3.1-1) unstable; urgency=low

  * New upstream release.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Refresh patches to apply cleanly:
    - 01_x11_not_required.diff
    - 02_hardcode_debian_mysqld_path.diff
  * Fix the list of dbus interfaces files installed by libakonadi-dev.

  [ Martin Alfke ]
  * Make libakonadiprivate1 depend on akonadi-server
    binary version (Closes: #544431)

  [ Ana Beatriz Guerrero Lopez ]
  * Remove myself from Uploaders.
  * Update year on packaging copyright.

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.

  [ Fathi Boudra ]
  * Bump Standards-Version to 3.8.4 (no changes needed).

akonadi (1.3.0-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 10:27:54 +0100

akonadi (1.2.80-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Refresh 01_x11_not_required.diff
    - Refresh 02_hardcode_debian_notmysqld_path.diff
    - Remove kubuntu_01_imap_line_endings.diff fixed by upstream
    - Update libakonadi-dev.install
    - Bump libboost to 1.40

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 02 Dec 2009 03:12:37 +0100

akonadi (1.2.1-1ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:46:57 +0000

akonadi (1.2.1-1ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:50 +0000

akonadi (1.2.1-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining changes:
    - Build-depend on mysql-server-core-5.1
    - Copy mysqld to mysqld-akonadi (rules)
    - Make akonadi-server depend on mysql-server-core-5.1 rather than mysql-server
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    - Add pre and postinst scripts for akonadi-server
    - Keep kubuntu_01_imap_line_endings.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Nov 2009 17:52:46 -0500

akonadi (1.2.1-0ubuntu4) karmic; urgency=low

  * Revert previous upload (LP: #418342). Apparently Akonadi
    does not like being used with MySQL 5.0. This is probably
    because both Qt and Akonadi are built against 5.1, and the 


=== debian/control ===
Source: akonadi
Section: libs
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>,
 Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.3.16), cmake (>= 2.6.2), automoc, pkg-kde-tools (>= 0.6.4),
 libqt4-dev (>= 4:4.7.0~beta1+git20100522), shared-mime-info, libmysqlclient-dev,
 libxslt-dev, libsoprano-dev (>= 2.4.63), xsltproc, libdbus-1-dev, libboost-program-options1.42-dev,
 mysql-server-core-5.1
Standards-Version: 3.8.4
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/akonadi/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/akonadi/ubuntu

Package: libakonadiprivate1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Conflicts: kdepimlibs5 (<< 4:4.0.84)
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service.  It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains private libraries used by the Akonadi PIM storage 
 service.

Package: akonadi-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Description: debugging symbols for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service.  It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains debugging files used to investigate problems with
 the Akonadi PIM storage service.

Package: libakonadi-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libakonadiprivate1 (= ${binary:Version}), libboost1.42-dev
Replaces: kdepimlibs-data (<= 4:4.0.68+svn794641-1), kdepimlibs5-dev (<= 4:4.0.68+svn794641-1)
Suggests: pkg-config
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service.  It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: akonadi-server
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mysql-server-core-5.1, mysql-client-core-5.1, libqt4-sql-mysql
Description: Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service.  It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains the Akonadi PIM storage server and associated programs.
 It pulls in all required dependencies including the MySQL server executable.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIG_INSTALL_DIR = /etc
DEB_DH_MAKESHLIBS_ARGS_libakonadiprivate1 := -V

DEB_CMAKE_EXTRA_FLAGS += -DMYSQLD_EXECUTABLE=/usr/sbin/mysqld

DEB_STRICT_LOCAL_SHLIBS_PACKAGES = $(DEB_LIBRARY_PACKAGES)

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/1/library-packages.mk

# Kubuntu uses this path for the MySQLD executable
DEB_CMAKE_EXTRA_FLAGS += -DMYSQLD_EXECUTABLE=/usr/sbin/mysqld-akonadi

binary-install/akonadi-server::
	install -p -D debian/usr.sbin.mysqld-akonadi \
		debian/akonadi-server/etc/apparmor.d/usr.sbin.mysqld-akonadi
	mkdir debian/akonadi-server/usr/sbin
	cp /usr/sbin/mysqld debian/akonadi-server/usr/sbin/mysqld-akonadi

## akonadi 1.5.2

=== debian/changelog ===
akonadi (1.5.2-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fixes warnings about duplicated agent identifiers. (LP: #740488)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 05 Apr 2011 17:29:48 +0200

akonadi (1.5.1-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #739424)
  * Drop 03_disable_usr_lib_install_rpath.diff, fixed upstream.
  * Call dh_apparmor instead of providing our own postinst/postrm scripts to
    reload the AppArmor profile.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 22 Mar 2011 18:40:35 +0100

akonadi (1.5.0-0ubuntu2) natty; urgency=low

  * Use a wrapper script instead of copying mysqld to mysqld-akonadi.
    (LP: #728584)
    - Update the AppArmor profile accordingly.
    - Drop mysql-server-core-5.1 from build-deps.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 03 Mar 2011 18:06:42 +0100

akonadi (1.5.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Jan 2011 09:48:32 +0000

akonadi (1.4.95-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fix install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 09 Jan 2011 16:19:52 +0530

akonadi (1.4.90-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Dec 2010 13:57:05 +0000

akonadi (1.4.80-0ubuntu2) natty; urgency=low

  * Give up on akonadi-agent-launcher and akonadi-agent-server binaries as a
    bad idea
    - Remove debian/akonadi-agent-launcher.install and
      debian/akonadi-agent-server.install
    - Move files to akonadi-server.install
    - Remove binaries from debian/control

 -- Scott Kitterman <scott@kitterman.com>  Tue, 23 Nov 2010 10:10:30 -0500

akonadi (1.4.80-0ubuntu1) natty; urgency=low

  * New upstream release to support KDE 4.6 beta 1 packaging
    - Add new binary packages for usr/bin/akonadi_agent_server and
      usr/bin/akonadi_agent_launcher
    - Add org.freedesktop.Akonadi.NotificationSource.xml to
      libakonadi-dev.install
    - Refresh patches
    - Update debian/copyright
  * Rename libakonadiprivate1 to libakonadiprotocolinternals1 since the
    private library has been removed and only protocolinternals remains
    - Update debian/control
    - Rename install file and drop remove shared objects
  * Drop implicit-it=thumb workaround as it will no longer be needed once
    armel is fixed

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Nov 2010 09:32:48 -0500

akonadi (1.4.1-0ubuntu2) natty; urgency=low

  * Add CXXFLAGS += -Wa,-mimplicit-it=thumb on armel to fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Nov 2010 12:14:01 -0400

akonadi (1.4.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 19:14:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,26 @@
  Fathi Boudra <fabo@debian.org>
 Build-Depends: cdbs (>= 0.4.51), debhelper (>= 7.3.16), cmake (>= 2.6.2), automoc, pkg-kde-tools (>= 0.6.4),
  libqt4-dev (>= 4:4.7.0~beta1+git20100522), shared-mime-info, libmysqlclient-dev,
- libxslt-dev, libsoprano-dev (>= 2.4.63), xsltproc, libdbus-1-dev, libboost-program-options1.42-dev,
- mysql-server-core-5.1
+ libxslt-dev, libsoprano-dev (>= 2.4.63), xsltproc, libdbus-1-dev, libboost-program-options1.42-dev
 Standards-Version: 3.8.4
 Homepage: http://pim.kde.org/akonadi
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/akonadi/ubuntu
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/akonadi/ubuntu
 
-Package: libakonadiprivate1
+Package: libakonadiprotocolinternals1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: akonadi-server (= ${binary:Version})
 Conflicts: kdepimlibs5 (<< 4:4.0.84)
+Breaks: libakonadiprivate1
+Replaces: libakonadiprivate1
 Description: libraries for the Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service.  It provides a common framework for applications to store and
  access mail, calendars, addressbooks, and other PIM data.
  .
- This package contains private libraries used by the Akonadi PIM storage 
+ This package contains internal libraries used by the Akonadi PIM storage 
  service.
 
 Package: akonadi-dbg
@@ -44,7 +45,7 @@
 Package: libakonadi-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libakonadiprivate1 (= ${binary:Version}), libboost1.42-dev
+Depends: ${shlibs:Depends}, ${misc:Depends}, libakonadiprotocolinternals1(= ${binary:Version}), libboost1.42-dev
 Replaces: kdepimlibs-data (<= 4:4.0.68+svn794641-1), kdepimlibs5-dev (<= 4:4.0.68+svn794641-1)
 Suggests: pkg-config
 Description: development files for the Akonadi PIM storage service
@@ -66,3 +67,4 @@
  .
  This package contains the Akonadi PIM storage server and associated programs.
  It pulls in all required dependencies including the MySQL server executable.
+

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIG_INSTALL_DIR = /etc
DEB_DH_MAKESHLIBS_ARGS_libakonadiprotocolinternals1 := -V

#DEB_CMAKE_EXTRA_FLAGS += -DMYSQLD_EXECUTABLE=/usr/sbin/mysqld

DEB_STRICT_LOCAL_SHLIBS_PACKAGES = $(DEB_LIBRARY_PACKAGES)

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/1/library-packages.mk

# Kubuntu uses this path for the MySQLD executable
DEB_CMAKE_EXTRA_FLAGS += -DMYSQLD_EXECUTABLE=/usr/sbin/mysqld-akonadi

binary-install/akonadi-server::
	install -m 644 -p -D debian/usr.sbin.mysqld-akonadi \
		debian/akonadi-server/etc/apparmor.d/usr.sbin.mysqld-akonadi
	install -m 755 -p -D debian/mysqld-akonadi \
		debian/akonadi-server/usr/sbin/mysqld-akonadi
	
	dh_apparmor -pakonadi-server --profile-name=usr.sbin.mysqld-akonadi

## akonadi 1.5.3

=== debian/changelog ===
akonadi (1.5.3-2) unstable; urgency=low

  [ Pino Toscano ]
  * Fix typo in README.Debian. (Closes: #627826)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 00:22:36 +0300

akonadi (1.5.3-1) experimental; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Mon, 09 May 2011 00:50:11 +0300

akonadi (1.5.1-2) experimental; urgency=low

  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Merge 1.3.1-4 changes:
    - Drop 04_socket_location.diff patch, merged upstream.
  * Build with -fvisibility=hidden -fvisibility-inlines-hidden.
  * Update symbol file: private symbols disappeared after building with hidden
    visibility.

 -- Modestas Vainius <modax@debian.org>  Mon, 02 May 2011 01:40:34 +0300

akonadi (1.5.1-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Add libsqlite3-dev to build depends. This build has support for SQLite
    backend.
  * Drop 03_disable_usr_lib_install_rpath.diff patch, no longer needed as
    the problem was fixed upstream differently.
  * Add new packages for multiple backend split:
    - akonadi-backend-mysql - a package which depends on the stuff needed for
      MySQL backend (server and Qt module) and installs a configuration file
      previously present in akonadi-server;
    - akonadi-backend-postgresql - a package which depends on the stuff needed
      for PostgreSQL backend. Even if default configuration starts an internal
      PostgreSQL server instance, add postgresql package to Recommends because
      the latter package enables the daemon system-wide. PostgreSQL needs to be
      split to the -core part as MySQL was;
    - akonadi-backend-odbc - a package which depends on the stuff needed to
      enable Akonadi ODBC backend. It's primarily intended to be used with a
      local Virtuoso instance that's started by Nepomuk;
    - akonadi-backend-sqlite - a package with improved SQLite driver that is
      needed for Akonadi SQLite backend;
  * Make akonadi-server on both backends with | relation preferring MySQL for
    now. Also suggest both backends.
  * Move akonadi-dbg to the end of debian/control.
  * Update install files.
  * Add README.Debian with extensive information about Akonadi configuration
    files and storage backends.
  * Bump build dependency to libqt4-dev 4:4.6.0. SQLite backend needs it.
  * Drop Replaces from libakonadi-dev for very old pre-4.1 KDE versions.
  * Switch to quilt 3.0 format:
    - add appropriate debian/source/format;
    - remove quilt from Build-Depends;
    - remove debian/README.source, no longer necessary.
  * Bump Standards-Version to 3.9.1: add Breaks next to Replaces where needed
    or replace Conflicts with Breaks respectively,
  * Improve passing of MYSQLD_EXECUTABLE flag to cmake.
  * Drop 02_hardcode_debian_mysqld_path.diff, not needed any more.
  * Drop obsolete (pre-KDE 4.1) Breaks.
  * Switch debian/rules engine to qt-kde-team/2/*. Fix FTBFS in the process.
    (Closes: #618200)
  * Strip sequence numbers from debian/patches/*.
  * Install README.Debian to akonadi-server and all backend packages.
  * Install README.sqlite to akonadi-backend-sqlite.
  * Drop ${shlibs:Depends} from libakonadi-dev Depends.
  * Update debian/copyright.

  [ José Manuel Santamaría Lema ]
  * Rename libakonadiprivate1 as libakonadiprotocolinternals1 
    (libakonadiprivate.so.1* doesn't exist anymore) and create symbols file.

 -- Modestas Vainius <modax@debian.org>  Sun, 13 Mar 2011 22:25:05 +0200

akonadi (1.3.1-4) unstable; urgency=low

  * Add patch 04_socket_location.diff to allow akonadi-server to run when HOME
    is mounted to the network filesystem (Closes: #545139). Thanks to Ansgar
    Burchardt for the patch.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Apr 2011 12:31:46 +0300

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden
export CXXFLAGS += -fvisibility=hidden -fvisibility-inlines-hidden

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))

override_dh_auto_configure:
	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld \
	    -DCONFIG_INSTALL_DIR=/etc

override_dh_installdocs:
	# Install README.Debian to backend packages
	$(overridden_command) -A -pakonadi-server $(foreach p,$(backend_packages),-p$(p)) debian/README.Debian
	$(overridden_command) --remaining-packages

override_dh_makeshlibs:
	$(overridden_command) -V -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=akonadi-dbg

## akonadi 1.6.2

=== debian/changelog ===
akonadi (1.6.2-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 04 Oct 2011 16:43:57 -0500

akonadi (1.6.1+git110927-0ubuntu1) oneiric; urgency=low

  * Update to 1.6 branch snapshot for additional bug fixes

 -- Scott Kitterman <scott@kitterman.com>  Fri, 30 Sep 2011 06:45:45 -0400

akonadi (1.6.1-0ubuntu1) oneiric; urgency=low

  * New upstream bug fix release (LP: #707878)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 16 Sep 2011 16:09:18 +0200

akonadi (1.6.0-0ubuntu2) oneiric; urgency=low

  * No change rebuild due to multi-arch changes in qt4-x11

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Aug 2011 10:38:30 -0400

akonadi (1.6.0-0ubuntu1) oneiric; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 16 Jul 2011 16:41:20 +0200

akonadi (1.5.80-0ubuntu1) oneiric; urgency=low

  * New upstrem beta release 
    - bump debhelper version to fix lintian warning
    - refresh libakonadiprotocolinternals1.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Jul 2011 22:25:38 +0200

akonadi (1.5.3-2ubuntu1) oneiric; urgency=low

  * Change Vcs-* from kubuntu-members to kubuntu-packagers
  * Merge from debian unstable.  Remaining changes:
    - Use versioned boost build-depends
    - Add a mysqld-akonadi wrapper script
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi)
    - Make akonadi-backend-mysql depend on mysql-server-core-5.1 and
      mysql-client-core-5.1 instead of mysql-server-core
    - Bump Breaks/Replaces akonadi-sever version to "<< 1.5.3~"

 -- Scott Kitterman <scott@kitterman.com>  Fri, 27 May 2011 23:06:47 -0400

akonadi (1.5.3-1ubuntu1) oneiric; urgency=low

  * Merge from Debian experimental, remaining changes:
    - Use versioned boost build-depends.
    - Add a mysqld-akonadi wrapper script.
    - Add apparmor profile for mysqld-akonadi (usr.sbin.mysqld-akonadi).
    - Make akonadi-backend-mysql depend on mysql-server-core-5.1 and
      mysql-client-core-5.1 instead of mysql-server-core.
    - Bump Breaks/Replaces akonadi-sever version to "<< 1.5.3~".

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 24 May 2011 21:04:40 +0200

=== debian/control ===
Source: akonadi
Section: libs
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Modestas Vainius <modax@debian.org>,
 Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6.2), automoc, pkg-kde-tools (>= 0.12),
 libqt4-dev (>= 4:4.6.0), shared-mime-info, libmysqlclient-dev,
 libxslt-dev, libsoprano-dev (>= 2.1.1), xsltproc, libdbus-1-dev, libboost-program-options1.46-dev,
 libsqlite3-dev
Standards-Version: 3.9.2
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/akonadi

Package: akonadi-server
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-sqlite (= ${binary:Version}) |
 akonadi-backend-postgresql (= ${source:Version})
Suggests: akonadi-backend-mysql (= ${binary:Version}), akonadi-backend-sqlite (= ${binary:Version}),
 akonadi-backend-postgresql (= ${source:Version})
Description: Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains the Akonadi PIM storage server and associated programs.

Package: libakonadiprotocolinternals1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Replaces: libakonadiprivate1 (<< 1.4.90)
Breaks: libakonadiprivate1 (<< 1.4.90)
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libakonadi-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libakonadiprotocolinternals1 (= ${binary:Version}), libboost-dev
Suggests: pkg-config
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: akonadi-backend-mysql
Section: misc
Architecture: all
Depends: ${misc:Depends}, mysql-server-core-5.1, mysql-client-core-5.1, libqt4-sql-mysql
Recommends: akonadi-server
Replaces: akonadi-server (<< 1.5.3~)
Breaks: akonadi-server (<< 1.5.3~)
Description: MySQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with MySQL
 as underlying data storage engine. By default, a local MySQL server instance
 will be started for each user. Alternatively, connection to an external MySQL
 database is supported as well.

Package: akonadi-backend-postgresql
Section: misc
Architecture: all
Depends: ${misc:Depends}, libqt4-sql-psql
Recommends: akonadi-server, postgresql
Replaces: akonadi-server (<< 1.5.3~)
Breaks: akonadi-server (<< 1.5.3~)
Description: PostgreSQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with
 PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
 server instance will be started for each user. Alternatively, connection to an
 external PostgreSQL database is supported as well.

Package: akonadi-backend-odbc
Section: misc
Architecture: all
Depends: ${misc:Depends}, libqt4-sql-odbc
Suggests: akonadi-server, libvirtodbc0, virtuoso-minimal
Provides: akonadi-backend-virtuoso
Description: ODBC storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package install everything what's needed for Akonadi to work with
 external SQL servers that implements ODBC interface. By default, the backend
 attempts to connect to the Virtuoso SQL server instance that's typically
 started by Nepomuk in KDE environment.

Package: akonadi-backend-sqlite
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: akonadi-server
Description: SQLite storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with SQLite
 as underlying data storage engine. Since SQLite is an embedded database
 engine, a separate SQL server daemon is not necessary.
 .
 In addition, the package contains an improved QSql driver for SQLite named
 "QSQLite3". It can be used by any application that needs to access SQLite
 databases via standard Qt QSql framework.

Package: akonadi-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}
Suggests: akonadi-server (= ${binary:Version})
Description: debugging symbols for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains debugging files used to investigate problems with
 the Akonadi PIM storage service.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 backend_packages = $(filter akonadi-backend-%,$(shell dh_listpackages))
 
 override_dh_auto_configure:
-	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld \
+	$(overridden_command) -- -DMYSQLD_EXECUTABLE:STRING=/usr/sbin/mysqld-akonadi \
 	    -DCONFIG_INSTALL_DIR=/etc
 
 override_dh_installdocs:
@@ -23,3 +23,7 @@
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=akonadi-dbg
+
+override_dh_installinit:
+	$(overridden_command)
+	dh_apparmor -pakonadi-backend-mysql --profile-name=usr.sbin.mysqld-akonadi
